plugins {
    id 'com.android.application'
}

android {
    compileSdkVersion 29
    buildToolsVersion "30.0.2"

    defaultConfig {
        applicationId "com.chaoran"
        minSdkVersion 8
        targetSdkVersion 15
        versionCode 1
        versionName "V1.079"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    lintOptions {
        abortOnError false
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    //加载动态库
    sourceSets{
        main{
            jniLibs.srcDir(['libs'])
        }
    }
}

dependencies {
    //加载jar包
    implementation fileTree(dir: 'libs', include: ['*.jar'])
}